/*
 * MPDclient - Music Player Daemon (MPD) remote for Mac OS
 * Copyright (C) 2019  Old-Geek
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include <include/mpd/client.h>
#include <include/mpd/status.h>
#import "MPDError.h"


@protocol MPDErrorDelegate <NSObject>
- (void)onError:(MPDError*)error;
@end

@interface MPDServerError : NSObject

@property (nonatomic, strong) id<MPDErrorDelegate> delegate;

+ (MPDServerError *)sMPDServerError;

- (void)send:(struct mpd_connection *)mpdConnection;

@end
