/*
 * MPDclient - Music Player Daemon (MPD) remote for Mac OS
 * Copyright (C) 2019  Old-Geek
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */


@interface MPDCommand : NSObject

+ (MPDCommand *)sMPDCommand;

- (void)disconnect;
- (void)connect;

- (void)play;
- (void)stop;
- (void)next;
- (void)previous;

- (void)setVolume:(unsigned int) aVol;
- (void)seekPosition:(float) aPosition;

- (void)playAlbum:(NSString *)aAlbum path:(NSString *)aPath position:(unsigned int)aPosition;
- (void)playQueuePosition:(unsigned int)aQp;
- (void)playStream:(NSString *)aUrl;
- (void)playPlaylist:(NSArray *)aList position:(unsigned int)aPosition;

- (void)updateDB;

@end
