/*
 * MPDclient - Music Player Daemon (MPD) remote for Mac OS
 * Copyright (C) 2019  Old-Geek
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

@interface Song : NSObject {
    NSString *artist;
    NSString *albumArtist;
    NSString *composer;
    NSString *album;
    NSString *title;
    NSString *fullPath;
    NSString *genre;
    NSString *comment;
    NSString *extension;
    
    int track;
    int totalTrack;
    int diskNb;
    int date;
    float duration;
    int bits;
    int channels;
}

- (NSString *)artist;
- (NSString *)albumArtist;
- (NSString *)composer;
- (NSString *)album;
- (NSString *)title;
- (NSString *)fullPath;
- (NSString *)genre;
- (NSString *)comment;
- (NSString *)extension;

- (int)track;
- (int)totalTrack;
- (int)diskNb;
- (int)date;
- (float)duration;
- (int)bits;

- (void)setArtist:(NSString *)aArtist;
- (void)setAlbumArtist:(NSString *)aAlbumArtist;
- (void)setComposer:(NSString *)aComposer;
- (void)setAlbum:(NSString *)aAlbum;
- (void)setTitle:(NSString *)aTitle;
- (void)setFullPath:(NSString *)aFullPath;
- (void)setGenre:(NSString *)aGenre;
- (void)setComment:(NSString *)aComment;
- (void)setExtension:(NSString *)aExtension;

- (void)setTrack:(int)atrack;
- (void)setDiskNb:(int)aDiskNb;
- (void)setDate:(int)aDate;
- (void)setDuration:(int)aDuration;
- (void)setBits:(int)aBits;

@end
