/*
 * MPDclient - Music Player Daemon (MPD) remote for Mac OS
 * Copyright (C) 2019  Old-Geek
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#import "AlbumOverCover.h"


@implementation AlbumOverCover

- (void)updateTrackingAreas {
    [super updateTrackingAreas];
    
    if (trackingCover)
        [self removeTrackingArea:trackingCover];

    NSTrackingAreaOptions options = NSTrackingInVisibleRect | NSTrackingMouseEnteredAndExited | NSTrackingActiveInKeyWindow;
    trackingCover = [[NSTrackingArea alloc] initWithRect:NSZeroRect options:options owner:self userInfo:nil];
    [self addTrackingArea:trackingCover];
    
    [playerButton setAlphaValue:0.0];
    [showCover  setAlphaValue:0.0];
}

- (void)mouseEntered:(NSEvent *)event {
    
    [playerButton setHidden:NO];
    [showCover setHidden:NO];
    
    [NSAnimationContext beginGrouping];
    [[NSAnimationContext currentContext] setDuration:0.3f];
    [[playerButton animator] setAlphaValue:1.f];
    [NSAnimationContext endGrouping];
    
    dispatch_async(dispatch_get_global_queue(0, 0), ^{
        usleep(150000); // 0.15s
        
        [NSAnimationContext beginGrouping];
        [[NSAnimationContext currentContext] setDuration:0.3f];
        [[self->showCover animator] setAlphaValue:1.f];
        [NSAnimationContext endGrouping];
    });
}

- (void)mouseExited:(NSEvent *)event {
    
    [playerButton setAlphaValue:0.0];
    [showCover setAlphaValue:0.0];

    [playerButton setHidden:YES];
    [showCover setHidden:YES];
}

@end
