//
//  NSImage+OverCover.m
//  MPD Client
//
//  Created by icare on 01/03/2019.
//  Copyright © 2019 Old-Geek Inc. All rights reserved.
//

#import "RadioOverCover.h"


@implementation RadioOverCover


- (void)updateTrackingAreas {
    [super updateTrackingAreas];
    
    if (trackingArea)
        [self removeTrackingArea:trackingArea];
    
    NSTrackingAreaOptions options = NSTrackingInVisibleRect | NSTrackingMouseEnteredAndExited | NSTrackingActiveInKeyWindow;
    trackingArea = [[NSTrackingArea alloc] initWithRect:NSZeroRect options:options owner:self userInfo:nil];
    [self addTrackingArea:trackingArea];
    
    [addButton setAlphaValue:0.0];
    [playButton setAlphaValue:0.0];
}


- (void)mouseEntered:(NSEvent *)event {
    [addButton setHidden:NO];
    [playButton setHidden:NO];
    
    [NSAnimationContext beginGrouping];
    [[NSAnimationContext currentContext] setDuration:0.3f];
    [[playButton animator] setAlphaValue:1.f];
    [NSAnimationContext endGrouping];
    
    dispatch_async(dispatch_get_global_queue(0, 0), ^{
        usleep(150000); // 0.15s

        [NSAnimationContext beginGrouping];
        [[NSAnimationContext currentContext] setDuration:0.3f];
        [[self->addButton animator] setAlphaValue:1.f];
        [NSAnimationContext endGrouping];
    });
}


- (void)mouseExited:(NSEvent *)event {
    
    [addButton setAlphaValue:0.0];
    [playButton setAlphaValue:0.0];
    
    [addButton setHidden:YES];
    [playButton setHidden:YES];
}


@end
